/**
 * generated by Xtext 2.21.0
 */
package br.ufes.nemo.seon.ontoloyasservice.generator;

import br.ufes.nemo.seon.ontoloyasservice.generator.lib.DocumentationGenerator;
import br.ufes.nemo.seon.ontoloyasservice.generator.lib.EntityGenerator;
import br.ufes.nemo.seon.ontoloyasservice.generator.lib.HelpersGenerator;
import br.ufes.nemo.seon.ontoloyasservice.generator.lib.LibFilesGenerator;
import br.ufes.nemo.seon.ontoloyasservice.generator.service.ServiceFilesGenerator;
import br.ufes.nemo.seon.ontoloyasservice.generator.service.ServiceGenerator;
import br.ufes.nemo.seon.ontoloyasservice.generator.webservice.WebServiceDocumentationGenerator;
import br.ufes.nemo.seon.ontoloyasservice.generator.webservice.WebServiceGenerator;
import br.ufes.nemo.seon.ontoloyasservice.generator.webservice.WebServiceHelperGenerator;
import com.google.inject.Inject;
import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.xtext.generator.AbstractGenerator;
import org.eclipse.xtext.generator.IFileSystemAccess2;
import org.eclipse.xtext.generator.IGeneratorContext;

/**
 * Generates code from your model files on save.
 * 
 * See https://www.eclipse.org/Xtext/documentation/303_runtime_concepts.html#code-generation
 */
@SuppressWarnings("all")
public class OaasGenerator extends AbstractGenerator {
  @Inject
  private EntityGenerator entityGenerator;
  
  @Inject
  private HelpersGenerator helperGenerator;
  
  @Inject
  private DocumentationGenerator documenationGenerator;
  
  @Inject
  private LibFilesGenerator libFilesGenerator;
  
  @Inject
  private WebServiceGenerator webServiceGenerator;
  
  @Inject
  private WebServiceDocumentationGenerator webserviceDocumentationGenerator;
  
  @Inject
  private WebServiceHelperGenerator webServiceHelperGenerator;
  
  @Inject
  private ServiceFilesGenerator serviceFilesGenerator;
  
  @Inject
  private ServiceGenerator serviceGenerator;
  
  @Override
  public void doGenerate(final Resource resource, final IFileSystemAccess2 fsa, final IGeneratorContext context) {
    this.helperGenerator.doGenerate(resource, fsa, context);
    this.documenationGenerator.doGenerate(resource, fsa, context);
    this.libFilesGenerator.doGenerate(resource, fsa, context);
    this.entityGenerator.doGenerate(resource, fsa, context);
    this.webServiceGenerator.doGenerate(resource, fsa, context);
    this.webserviceDocumentationGenerator.doGenerate(resource, fsa, context);
    this.webServiceHelperGenerator.doGenerate(resource, fsa, context);
    this.serviceFilesGenerator.doGenerate(resource, fsa, context);
    this.serviceGenerator.doGenerate(resource, fsa, context);
  }
}
